Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 453317 - Boinc is Boinc is starting before Network Manager is ready?
Summary: Boinc is Boinc is starting before Network Manager is ready?
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager
Version: 9
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Dan Williams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-29 15:40 UTC by Bill Case
Modified: 2008-10-03 08:10 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-02 23:04:31 UTC


Attachments (Terms of Use)

Description Bill Case 2008-06-29 15:40:42 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en; rv:1.9) Gecko/20080528 Fedora/2.22.2-2.fc9 Epiphany/2.22 Firefox/3.0

Description of problem:
I can get Boinc to connect to the World Community Grid immediately after
first download and install.  (I have removed it and re-installed to test
this).  But after a reboot I can no longer connect to any of the project
sites.

Version-Release number of selected component (if applicable):


How reproducible:
Always


Steps to Reproduce:
1.Download and install boinc-clent and boincmgr from Fedora 9 repo;
2.Connect to work unit web site (e.g. World Community Grid); 
3.download work units to boinc; everything works fine;
4.stop processing and re-boot;
5.boinc-client can no longer re-connect to the work site. 

Actual Results:
Got error messages in boincmgr that boinc could no longer connect, i.e.
"BOINC is unable to communicate with a project and needs an Internet connection."
"Please connect to the Internet, then select the 'retry communications'
item off the advanced menu."

I am connected to the internet.  I have selected the 'retry
communications item off the advanced menu.  I always get: "Sat 28 Jun
2008 09:39:50 AM EDT|World Community Grid|Sending scheduler request:
Requested by user.  Requesting 2 seconds of work, reporting 0 completed
tasks" and "Sat 28 Jun 2008 09:39:55 AM EDT|World Community Grid|
Scheduler request failed: Couldn't resolve host name"

Expected Results:
boinc-client should automagically re-connect to the work site (i.e. WCG and download more work units)

It did in Fedora 8

Additional info:
There has been considerable advice given to me on the Fedora users list.

The following worked.

"I believe that what Patrick was trying to tell you is that if you are
using NetworkManager, then it's entirely possible that networking isn't
fully operational when boinc service starts at bootup which would cause
it to fail. That can probably be verified by merely issuing
'/sbin/service boinc restart' (assuming that restart is an option for
the boinc sysv script). If that works, then it might just be easier to
put that command in /etc/rc.d/rc.local (/sbin/service boinc restart)"

"After re-installing Boinc and then re-booting,  I ran a new
set of the work units to the end.  No new units would download.
boincmgr complained about a lack of a connection.

I re-booted just to see.  No joy.

I then added '/sbin/service boinc-client restart' to /etc/rc.d/rc.local
and re-booted once again.  -- BINGO ! 

Everything was up and running. New work units were downloaded
automatically and boinc is happily processing away."

"Re: Bug reporting.  I think this bug is worth reporting, although you
probably know better which details to report regarding NetworkManager.
Some poor unlucky shmuck could get caught from 2 days to a week trying
to figure out what was wrong." -- like I did.

"report it just like you did above...if the packager has questions, he'll
ask but I would suggest that you file it against NetworkManager package.

It's important to work out all of the issues with NetworkManager to
solve them once and for all."

Comment 1 Dan Williams 2008-07-02 23:04:31 UTC
Boinc is probably starting so soon after NetworkManager that the network is not
up yet.  It's technically a bug in Boinc that it doesn't wait for a network
connection and periodically re-try to send/grab the data.  But for the moment,
you can add the line:

NETWORKWAIT=yes

to /etc/sysconfig/network and startup will block for 10 seconds or until a
network connection is up, whichever is sooner.

Comment 2 Milos Jakubicek 2008-10-03 08:10:44 UTC
I can confirm that this is a known bug in Boinc that it cannot use a connection which appears after starting Boinc, hopefully it will be fixed in Boinc 6.4

>NETWORKWAIT=yes
>
>to /etc/sysconfig/network and startup will block for 10 seconds or until a
>network connection is up, whichever is sooner.

Dan, this is new to me, thank you very much for this info, I've added it to

https://fedoraproject.org/wiki/User:Mjakubicek/HowToUseBoinc


Note You need to log in before you can comment on or make changes to this bug.